#version 430 core
in vec2 TexCoords;
out vec4 color;

uniform sampler2D depthMap;
uniform float near_plane;
uniform float far_plane;

void main()
{             
	float depth = texture(depthMap, TexCoords).r;
	float z = depth * 2.0 - 1.0; // Back to NDC 
    float depth_norm =  (2.0 * near_plane * far_plane) / (far_plane + near_plane - z * (far_plane - near_plane));	
	
     
	 color = vec4(vec3(depth_norm/far_plane), 1.0);
}  