#version 430 core

in vec4 FragPos;

uniform vec3 lightPos;
uniform vec2 near_far;

void main()
{
	// calculatedistance
    float lightDistance = length(FragPos.xyz - lightPos);
    
    float lightDistance_norm = (lightDistance - near_far.x) / (near_far.y -near_far.x);
	    
    // write modified depth, no color
    gl_FragDepth = lightDistance_norm;
}