#version 430 core

// Object space vertex positions
layout(location = 0) in vec3 position;

// Model matrix (passed per object)
uniform mat4 modelMatrix;

void main()
{
	// Transform vertex to world space
    gl_Position =  modelMatrix * vec4(position, 1.0);
}