#version 430
layout (location = 0) out vec3 gPosition;

in vec3 g_FragPos;

void main(void) {
	float ma = max(g_FragPos.z,max(g_FragPos.x,g_FragPos.y));
	float mi = min(g_FragPos.z,min(g_FragPos.x,g_FragPos.y));
	
	
	float x = (g_FragPos.x-mi)/(ma-mi);
	float y =( g_FragPos.y-mi)/(ma-mi);
	float z =( g_FragPos.z-mi)/(ma-mi);

	gPosition = vec4(x, y, z);

}
