#version 430 core

layout (location = 0) in vec3 position;

out vec3 g_FragPos;

uniform mat4 modelMatrix;
uniform mat4 lightSpaceMatrix;

void main() {

	vec4 position_world_ = lightSpaceMatrix * modelMatrix * vec4(position, 1);
	g_FragPos = position_world_.xyz;
	
	gl_Position = lightSpaceMatrix * modelMatrix * vec4(position, 1);
	
}